Bug 34940 - EDITING: Start on click not added correctly to movies
Summary: EDITING: Start on click not added correctly to movies
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 46625 (view as bug list)
Depends on: 123653
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2011-03-02 12:30 UTC by tim.holy
Modified: 2019-05-06 16:37 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (301.90 KB, application/zip)
2012-05-06 03:38 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tim.holy 2011-03-02 12:30:27 UTC
The claim that this bug is fixed:
http://openoffice.org/bugzilla/show_bug.cgi?id=41378
is not true for me.

If
1) I simply insert the movie, it starts playing as soon as the slide is drawn; 
2)  If I insert the movie and then choose Custom Animation->Misc Effects->"start media", then the movie also starts playing as soon as the slide is drawn, BUT if I click on it then it re-starts from the beginning. This is not very helpful.

The one I am really excited about is "Toggle pause." But here
1) The movie starts playing as soon as the slide is drawn
2) By clicking I can indeed pause the movie, but my next click advances to the next slide. I can't get it to finish playing the movie once I click. The same is true if I hit spacebar.
Comment 1 Rainer Bielefeld Retired 2011-09-26 22:37:07 UTC
I can't confirm that as a general problem, works fine with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]" and also  with "LibreOffice Portable 3.3.3  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:301  Tag 3.3.3.1)]".

Linux related?

Steps to reproduce:
0. download / unzip attached "testkit34940.zip"
1. Start LibO (Start Center appears)
2. Start "sample0.odp" from Start Center File dialog
3. <f9> to start presentation
   Expected: Slideshow -> Heading -> Heading -> Smiley -> Movie
   Actual: as expected

This report has not been touched within 1/4 year, so I do not see it as a "Most annoying one"

@Reporter:
Please attach a test kit demonstrating your problem and a step by step instruction how to create a sample from the scratch.
Comment 2 dimesio 2011-10-08 19:41:21 UTC
I am seeing this same problem in LibreOffice 3.3.1 on openSUSE 11.4 (64 bit), KDE 4.6.0. 

As the reporter describes, using "Start Media" just makes the movie replay from the start when clicked, and "Toggle Pause" does pause the movie, but the next click advances to the next slide instead of continuing the movie.
Comment 3 Björn Michaelsen 2011-12-23 11:47:19 UTC Comment hidden (obsolete)
Comment 4 Björn Michaelsen 2011-12-23 17:02:08 UTC
needinfo keyword redundant by needinfo status.
Comment 5 Rainer Bielefeld Retired 2012-05-06 03:38:33 UTC
Created attachment 61091 [details]
Test Kit

With this test kit the MPG starts after the other animations as expected (I checked with LibO 3.3.3 WIN7. Start on click not tested. 
But when I insert a mp3 into a Presentation currently "Start on click" will not work.
Comment 6 smwilsonau 2012-05-19 08:49:54 UTC
I experience this bug: any inserted movies start when the slide starts, no matter what I set in the custom animation settings.

This bug prevents me from using Impress, so I am really hoping it will be fixed soon.

LibreOffice 3.5.3.2
Build ID: 350m1(Build:2)
ArchLinux
Comment 8 tim.holy 2012-05-19 13:12:05 UTC
This problem is still true for LibreOffice 3.5.3.2 (Kubuntu 12.04). Clearly it is Linux-specific.
Comment 9 tim.holy 2012-05-19 13:21:43 UTC
@Rainer Bielefeld: to be clear, what I'm talking about is:
1. Create a new Impress presentation
2. In a blank slide, select Insert -> Movie and Sound...
3. Find a .avi file (or other movie format) on your hard drive, and select it.
4. Right-click on the inserted movie, choose Custom Animation, then Add... -> Misc Effects -> Start media
5. Launch the presentation (F5 on Linux)

You'll see that the movie plays as soon as the slide is shown, rather than when you click. The proper behavior would be to show an image of the first frame as a still, until you click, and then the movie starts playing.
Comment 10 Rainer Bielefeld Retired 2012-05-19 23:18:20 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>
BTW, this problem might be related to 64 Bit OS, but surely not to the processor architecture.

There might be 2 different effects:
a) cereating a presentation "Start on Click" (or other effects) can not be added to movies, effect will not work (correctly) in slide show.

b) a SLIDESHOW with movie with "Start on Click"  animation does not work correctly in LibO, movie starts immediately instead of waiting for "start on click". Presentation works fine with other (older) LibO versions or OOo.

I limit this report to problem 'a'

@tim.holy:
Please read the comments in a report! Or do you have information that reporter did his test with a most secret in advance version of LibO 3.5.3 in march 2011 ;-)

And why do you think that this Bug "Clearly" is Linux related, although I can reproduce it for presentations newly created with under WIN7 (doing the same test as in your comment 9)?

Please do not touch pickers for Version, OS, importance in existing reports.

@Rodo
Problem is reproducible with custom animation "Misc -> Start Media" for "FRESSE~1.MPG" from test kit in new presentation with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37) and others (3.3.3)

I am not 100% sure that it's an EDITING and not a SLIDESHOW problem.
Comment 11 tim.holy 2012-05-20 04:59:32 UTC
@tim.holy:
> Please read the comments in a report! Or do you have information that reporter
> did his test with a most secret in advance version of LibO 3.5.3 in march 2011
> ;-)
> Please do not touch pickers for Version, OS, importance in existing reports.

I _am_ the initial reporter. This feature has never worked for me for any version of OO/LO, I was just updating it to the latest version of LO. Sorry if that's not the right thing to do.

> And why do you think that this Bug "Clearly" is Linux related, although I can
> reproduce it for presentations newly created with under WIN7 (doing the same
> test as in your comment 9)?

I thought you were implying everything worked on Windows, and I was assuming you had tried the steps that were in the bug report I linked to in my initial report. But, I see that link is now broken, which might explain why we weren't talking about the same thing.
Comment 12 smwilsonau 2012-05-23 05:51:14 UTC
(In reply to comment #7)
> @smwilsonau@gmail.com:
> <http://wiki.documentfoundation.org/BugReport_Details#Version>

I don't understand what you're asking from me. I provided my version info. I am just saying I experience this bug too. I am hoping it will be fixed soon!
Comment 13 sasha.libreoffice 2012-08-24 10:00:20 UTC
Bug 46625 tells about the same problem IMHO
Comment 14 Marc Weber 2012-10-23 22:37:03 UTC
http://www.kingsoftstore.com/presentation-free.html
They do it this way: When adding a video you'll be asked:

When to start video?
[automatically] [ when I click ]

and you're done because you can start/pause/stop videos in arbitrary order on a slide by clicking.

Thus the closest and most simple thing to be done for libre impress would be introducing a setting:
- initial view:
 (*) start video
 (*) show black/white/color rectangle [2]
 (*) show first frame [3]

[2] can be emulated by adding an action stopping the video when the slide starts (follows previous slide)
[3] can't be done AFAIK (maybe with some scripting)


Because playing movies is one of the most important features a presentation software provides I consider this being very important.

I understand that it is possible to create a screenshot of the first frame, add it as image, hide the image and start the video. But that case is that common that there should be an easier way. But who is willing to write assembler today?

Tested with 3.6.2.2 windows, release
Comment 15 Zeki Bildirici 2012-12-30 14:26:23 UTC
(In reply to comment #14)
> http://www.kingsoftstore.com/presentation-free.html
> They do it this way: When adding a video you'll be asked:
> 
> When to start video?
> [automatically] [ when I click ]
> 
> and you're done because you can start/pause/stop videos in arbitrary order
> on a slide by clicking.
> 
> Thus the closest and most simple thing to be done for libre impress would be
> introducing a setting:
> - initial view:
>  (*) start video
>  (*) show black/white/color rectangle [2]
>  (*) show first frame [3]
> 
> [2] can be emulated by adding an action stopping the video when the slide
> starts (follows previous slide)
> [3] can't be done AFAIK (maybe with some scripting)
> 
> 
> Because playing movies is one of the most important features a presentation
> software provides I consider this being very important.

I totally agree with you. It should be simple as it should be.

This is a very fundemantal issue. Should we open another buf report to ask for such feature request?

I have made a simple search but there was no request for improving the video controls in Impress.

Regards,
Zeki
Comment 16 ign_christian 2013-05-12 03:09:26 UTC
(In reply to comment #9)
> @Rainer Bielefeld: to be clear, what I'm talking about is:
> 1. Create a new Impress presentation
> 2. In a blank slide, select Insert -> Movie and Sound...
> 3. Find a .avi file (or other movie format) on your hard drive, and select
> it.
> 4. Right-click on the inserted movie, choose Custom Animation, then Add...
> -> Misc Effects -> Start media
> 5. Launch the presentation (F5 on Linux)
> 
> You'll see that the movie plays as soon as the slide is shown, rather than
> when you click. The proper behavior would be to show an image of the first
> frame as a still, until you click, and then the movie starts playing.

Confirmed this bug exist on LO 4.0.3.3 (Win7 Home Premium 32bit)

Movie (tested with .mpg) plays without a click. Then first click while movie playing will restart the video, then second click will end show.

Save as .ppt will remove that video after file reopening.
Comment 17 ign_christian 2013-05-12 03:11:35 UTC
*** Bug 46625 has been marked as a duplicate of this bug. ***
Comment 18 Buovjaga 2014-07-30 13:51:25 UTC
There's a bounty for this now and I invite more sponsors: https://freedomsponsors.org/issue/523/editing-start-on-click-not-added-correctly-to-movies
Comment 19 QA Administrators 2015-09-04 02:49:41 UTC Comment hidden (obsolete)
Comment 20 Yan Pas 2015-09-08 22:11:10 UTC
Bug presents, Windwos 7, Lo 5.0.1
Comment 21 QA Administrators 2016-09-20 10:29:39 UTC Comment hidden (obsolete)
Comment 22 tim.holy 2016-09-20 19:41:21 UTC
On Ubuntu 16.04, this is still an issue. LibreOffice 5.1.4.2.
Comment 23 peci1 2017-03-28 15:18:38 UTC
Common, 5.3 and it's still not there. This actually makes LO pretty useless for me, since I really need to play/pause videos during presentations.

It's such a shame LO doesn't have it... I'd pay a bounty for adding this feature!
Comment 24 Buovjaga 2017-03-28 15:26:37 UTC
(In reply to peci1 from comment #23)
> Common, 5.3 and it's still not there. This actually makes LO pretty useless
> for me, since I really need to play/pause videos during presentations.
> 
> It's such a shame LO doesn't have it... I'd pay a bounty for adding this
> feature!

You can contract a certified developer: https://www.documentfoundation.org/gethelp/developers/
Comment 25 Mark Hung 2019-02-26 11:45:56 UTC
Hi,

User can now toggle the video in two ways:
1. Insert multiple pause commands on the main sequence, then clicking ( but don't click on the video ) as many times as the number of commands you insert to toggle between pause and play. 

1. Insert a pause command effect and set the trigger object for the effect to the video object. Since it's an interactive sequence triggered by the video object, you can click on the video to toggle between pause and play as many times as you want.


This issue should have been fixed with following commit:
ecdcc847cd5d9b1370801d42b740bd616c475477
a798926550ab3ea8613f28a7be2672ebe9e7dfbe
7927bfcf46aaaee8a5ab4eeb10549436416cfc3a
7e18b87566c55b38ca812c28b01ed346d45e94b8
Comment 26 tim.holy 2019-02-26 13:40:53 UTC
Which version? The "toggle pause effect" version doesn't work for me on 6.0.7.3 (Ubuntu 18.04).
Comment 27 Buovjaga 2019-02-26 13:50:49 UTC
(In reply to tim.holy from comment #26)
> Which version? The "toggle pause effect" version doesn't work for me on
> 6.0.7.3 (Ubuntu 18.04).

See bug 123653, the work is very recent and you should test with a fresh master build (6.3)
Comment 28 gbakkio@hotmail.it 2019-05-06 15:25:31 UTC
Bug present in Ubuntu 16.04 + LibreOffice 6.2.2.2
Bug NOT present in Kubuntu 18.04 + LibreOffice 6.0.7.3
Comment 29 Buovjaga 2019-05-06 16:37:49 UTC
(In reply to gbakkio@hotmail.it from comment #28)
> Bug present in Ubuntu 16.04 + LibreOffice 6.2.2.2
> Bug NOT present in Kubuntu 18.04 + LibreOffice 6.0.7.3

You are supposed to test with 6.3. For ease of testing, you can use an appimage: https://libreoffice.soluzioniopen.com/